Bug 1129554 - [xmlrpc]Invoke TestCase.update to update estimated_time, system will return estimated_time with int number.
Summary: [xmlrpc]Invoke TestCase.update to update estimated_time, system will return e...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: Devel
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 07:42 UTC by yangqiu
Modified: 2018-07-04 21:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description yangqiu 2014-08-13 07:42:28 UTC
Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.invoke n.TestCase.update([293356],{'estimated_time':'12:45:33'})
2.invoke n.TestCase.update([293356],{'estimated_time':'12h45m33s'})
3.Check the estimated_time system returns.

Actual results:
both step 1 and 2: system returns estimated_time with the follow format:
'estimated_time': '1041132',

Expected results:
both step 1 and 2: system returns estimated_time with the follow format:
'estimated_time': '264:22:12',

Additional info:

Comment 1 Tingting Zhao 2014-08-13 09:31:36 UTC
TestRun.update() also has the same problem

Comment 2 yangqiu 2014-08-18 10:29:15 UTC
verify this issue on v3.8.10-1 on devel.--->Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.